import request from '@/plugins/request/system';



/**
 * 获取优惠券列表
 * @param data
 * @constructor
 */
export function  SystemGoodsCoupon(data = {}) {
  return request({
    url: '/systemv1/goods/coupon',
    method: 'post',
    data : data
  });
}
/**
 * 添加优惠券
 * @param data
 * @constructor
 */
export function  SystemGoodsCouponAdd(data = {}) {
  return request({
    url: '/systemv1/goods/couponAdd',
    method: 'post',
    data : data
  });
}
/**
 * 删除优惠券
 * @param data
 * @constructor
 */
export function  SystemGoodsCouponDel(data = {}) {
  return request({
    url: '/systemv1/goods/couponDel',
    method: 'post',
    data : data
  });
}



/**
 * 获取列表
 * @param data
 * @constructor
 */
export function  SystemGoodsList(data = {}) {
  return request({
    url: '/systemv1/goods/list',
    method: 'post',
    data : data
  });
}
/**
 * 添加编辑商品
 * @param data
 * @constructor
 */
export function  SystemGoodsAdd(data = {}) {
  return request({
    url: '/systemv1/goods/add',
    method: 'post',
    data : data
  });
}

/**
 * 删除商品
 * @param data
 * @constructor
 */
export function  SystemGoodsDel(data = {}) {
  return request({
    url: '/systemv1/goods/del',
    method: 'post',
    data : data
  });
}


/**
 * 获取广告分类
 * @param data
 * @constructor
 */
export function  SystemGoodsCate(data = {}) {
  return request({
    url: '/systemv1/goods/cate',
    method: 'post',
    data : data
  });
}
/**
 * 添加编辑分类
 * @param data
 * @constructor
 */
export function  SystemGoodsCateAdd(data = {}) {
  return request({
    url: '/systemv1/goods/cateAdd',
    method: 'post',
    data : data
  });
}

/**
 * 删除分类
 * @param data
 * @constructor
 */
export function  SystemGoodsCateDel(data = {}) {
  return request({
    url: '/systemv1/goods/cateDel',
    method: 'post',
    data : data
  });
}
